# Bookstand

This repository contains the backend code used for the Bookstand app.

## Getting Started
1. Install `virtualenv` on your system-wide Python (version 3): `$ python3 install virtualenv`
2. Download or clone the repository onto your local computer
3. cd into the `app` directory and type `$ virtualenv --no-site-packages env`
4. Now type `$ env/bin/pip install -r requirements.txt`

## Development
Refer to [WORKFLOW.md](WORKFLOW.md)

## Running
`cd` into the `app` directory and then type:

    $ ./run

## Database Migrations
First, generate an initial migration:

    $ ./db db migrate

The migration script needs to be reviewed and edited, as Alembic currently does not detect every change you make to your models. In particular, Alembic is currently unable to detect indexes. Once finalized, the migration script also needs to be added to version control.

Then you can apply the migration to the database:

    $ ./db db upgrade

## Testing
To run tests, we use `py.test` via PyCharm.

Ensure that under Tools -> Python Integrated Tools, `py.test` is selected as the Default Test Runner.
