"""

app.extensions
~~~~~~~~~~~~~~~~~

Contains extensions used in app.

"""

from flask_sqlalchemy import SQLAlchemy
from flask_login import LoginManager
from sqlalchemy.sql import func

#SQLAlchemy Database
db = SQLAlchemy()

#Flask-Login LoginManager
login_manager = LoginManager()


class AuditMixin(object):
    """Base model to inherit from."""

    created = db.Column(db.DateTime(timezone=True),
                        server_default=db.func.timezone('UTC', func.current_timestamp()),
                        nullable=False)
    updated = db.Column(db.DateTime(timezone=True),
                        server_default=db.func.timezone('UTC', func.current_timestamp()),
                        onupdate=db.func.timezone('UTC', func.current_timestamp()),
                        nullable=False)
