from app.extensions import AuditMixin, db


class Author(db.Model, AuditMixin):
    """The model for an author."""
    __tablename__ = 'author'

    id = db.Column(db.Integer, primary_key=True)
    first_name = db.Column(db.Text, nullable=False)
    last_name = db.Column(db.Text, nullable=False)

    def __init__(self, first_name, last_name):
        self.first_name = first_name
        self.last_name = last_name

    def __repr__(self):
        representation = '<First: {}, Last: {}>'
        return representation.format(self.first_name, self.last_name)

    def serialize(self):
        j = {}
        j['first_name'] = self.first_name
        j['last_name'] = self.last_name

        return j
