from app.extensions import AuditMixin, db


class University(db.Model, AuditMixin):
    """The Model for a University."""
    __tablename__ = 'university'

    id = db.Column(db.Integer, primary_key=True)
    university_name = db.Column(db.Text, unique=True)
    city = db.Column(db.Text, nullable=False)
    state = db.Column(db.Text, nullable=False)
    country = db.Column(db.Text, nullable=False)
    timezone = db.Column(db.Text, nullable=False)

    def __repr__(self):
        representation = "<University {}, City: {}, State: {}, Country: {}, Timezone: {}>"
        return representation.format(self.university_name, self.city, self.state, self.country, self.timezone)

    def serialize(self):
        j = {}
        j['university_name'] = self.university_name
        j['city'] = self.city
        j['state'] = self.state
        j['country'] = self.country
        j['timezone'] = self.timezone

        return j
