"""
interested_list.py

API endpoints for managing the email list.

Created by Theodore Bieber December 6th 2018.
"""

from flask import Blueprint, jsonify, render_template, request

from app.extensions import db
from app.models import InterestedList

interested_list = Blueprint('interested_list', __name__)

@interested_list.route('/', methods=['POST'])
def add():
    """
    Adds an email to the list for us to email when we are ready to sign people up
    """
    # only supports adding to the list through the form on the front page
    content = request.json

    print(content)
    
    person = InterestedList(**content)
    db.session.add(person)
    db.session.commit()

    return jsonify(person.serialize()), 200