"""
notification.py

A view for sending push notifications to user's phones.

Created by Stephen Andrews, November 8th, 2018.
"""

from flask import Blueprint, jsonify, render_template, request

from app.extensions import db
from app.models import User
from app.utils import send_push_message
from util.logger import Logger

notification = Blueprint('notification', __name__)
logger = Logger(logfile_name= 'notification_view')

@notification.route('/add', methods=['POST'])
def add_token():
    "Add an expo token to the user's account."
    content = request.json

    user = User.query.filter_by(id=content['user_id']).first()
    if not user:
      return 'Non-existing user id: {}'.format(content['user_id'])

    user.expo_token = content['expo_token']
    db.session.add(user)
    db.session.commit()

    return 'success', 200

@notification.route('/test/<string:message>')
def test(message):
    token = 'ExponentPushToken[R3LB3lCj-7PDToeUmFZhnG]'
    send_push_message(token, message)
    return 'sent'