"""
test_user.py

Tests API endpoint for users.

Created by Stephen Andrews, September 11th, 2018.
"""

import json
import os

import pytest

from app.models import University


TEST_USER = ('stephen', 'swoze')
WPI = University(university_name='WPI', city='Worcester', state='MA', country='USA', timezone='EST')

@pytest.mark.parametrize('init_database', [[WPI]], indirect=True)
@pytest.mark.parametrize('username, password', [
    TEST_USER,
])
def test_register(test_client, init_database, username, password):
    """Test registration endpoint."""

    payload = {}
    payload['username'] = username
    payload['password'] = password
    payload['university_id'] = 1 # WPI rn
    payload['email'] = 'sandrews@wpi.edu'

    response = test_client.post('user/register',
                                data=json.dumps(payload),
                                content_type='application/json')
    assert response.status_code == 200

@pytest.mark.parametrize('user, response_code', [
    (TEST_USER, 200) # Successful login
])
def test_login(test_client, init_database, user, response_code):
    """Test login endpoint."""

    username, password = user
    payload = {}
    payload['username'] = username
    payload['password'] = password

    response = test_client.post('user/login',
                                data=json.dumps(payload),
                                content_type='application/json')
    assert response.status_code == response_code
