#!/usr/bin/env bash
# Stephen Andrews, March 2017

# Local postgres configuration
CONTAINER=postgres
DEFAULT_USER=postgres
PGPASSWORD=mysecretpassword
POSTGRES_PORT=${2:-5432}

# Target DB
DB_USER=admin

# Remove existing container
docker rm -f $CONTAINER || echo 'No containers to remove...'

# Start postgres cotainer
docker run --name $CONTAINER -e POSTGRES_PASSWORD=$PGPASSWORD -d -p $POSTGRES_PORT:5432 postgres:9.6

# Wait for the postgres service to become available
until psql -h localhost -U "postgres" -c '\l' >&/dev/null; do
  >&2 echo "Postgres is unavailable - sleeping"
  sleep 1
done
echo 'Connected to postgres...';

# Add the app super user to docker postgres service
psql -U $DEFAULT_USER -h localhost -p 5432 -c "CREATE ROLE admin LOGIN
  UNENCRYPTED PASSWORD 'eatshit'
  SUPERUSER INHERIT CREATEDB NOCREATEROLE NOREPLICATION;"

# Create app database
createdb app -h localhost -U $DB_USER -p $POSTGRES_PORT
