import React, {
  Component
} from 'react';
import {
  Platform,
  KeyboardAvoidingView,
  View,
  StatusBar,
  StyleSheet,
} from 'react-native';

import BarcodeForm from './BarcodeForm';

/**
 * Defines the create barcode screen.
 * @author John Bieber
 */
export default class Barcode extends Component {
  render() {
    return (
      <KeyboardAvoidingView behavior="padding" style={styles.container}>
        <StatusBar barStyle="light-content" /> 
        <View style={{flex: 1}}>
            <BarcodeForm {...this.props}/>
        </View>
      </KeyboardAvoidingView>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#FDFDFE'
  },
  headingContainer: {
    flexGrow: 1,
    justifyContent: 'center'
  },
  heading: {
    color: '#464A53',
    fontSize: 42,
    fontFamily: Platform.OS === 'ios' ? 'Helvetica' : 'Roboto',
    fontWeight: '500',
    marginLeft: 25,
    textAlign: 'center'
  },
  subHeading: {
    color: '#CDCFD1',
    fontSize: 18,
    fontFamily: Platform.OS === 'ios' ? 'Helvetica' : 'Roboto',
    fontWeight: '500',
    marginLeft: 28,
    textAlign: 'center'
  }
});
