/**
 * Defines the book selection screen.
 * @author John Bieber
 */

import React, {
  Component
} from 'react';
import {
  KeyboardAvoidingView,
  View,
  Text,
  StyleSheet,
} from 'react-native';

import AddBookToShelfForm from './AddBookToShelfForm';
import Header from '../../components/Header';

export default class AddBookToShelf extends Component {
  render() {
    return (
      <View style={styles.container}>
        <Header title="Select Book" />

        <KeyboardAvoidingView behavior="padding" style={{flex: 1}}>
          <AddBookToShelfForm {...this.props}/>
        </KeyboardAvoidingView>
      </View>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    backgroundColor: '#FDFDFE',
    flex: 1
  }
});
