import React, {
  Component
} from 'react';

import {
  StyleSheet,
  Text,
  View
} from 'react-native';

import NavigableHeader from '../../components/NavigableHeader';
import SaleListView from './SaleListView';

/**
 * Shows individual listings for a particular book.
 * @author Stephen Andrews
 * @since 11.16.18
 */
export default class ListingView extends Component {

  render() {
    let title = this.props.navigation.state.params.screen.props.item.book.title;
    
    return (
      <View style={styles.container}>
        <NavigableHeader title="Listings" {...this.props} />

        <SaleListView bookId={this.props.navigation.state.params.screen.props.item.book.id} {...this.props} />
      </View>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#FDFDFE'
  },

});
