/**
 * Defines the create listing screen.
 * @author John Bieber
 */

import React, {
  Component
} from 'react';
import {
  View,
  StatusBar,
  StyleSheet,
} from 'react-native';

import CreateListingForm from './CreateListingForm';
import Header from '../../components/Header';

export default class CreateListing extends Component {
  render() {
    return (
      <View style={styles.container} >
        <StatusBar barStyle="dark-content" /> 
        <Header title="Create Listing" />

        <CreateListingForm {...this.props}/>
      </View>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    backgroundColor: '#FDFDFE',
    flex: 1
  }
});
