/**
 * Defines the dashboard screen.
 * @author John Bieber
 * @deprecated Redundant Screen
 */

import React, {
  Component
} from 'react';
import {
  Platform,
  KeyboardAvoidingView,
  View,
  Text,
  StyleSheet,
} from 'react-native';

import DashboardForm from './DashboardForm';

export default class Dashboard extends Component {
  render() {
    return (
      <KeyboardAvoidingView behavior="padding" style={styles.container}>
        <View style={styles.headingContainer}>
            <Text style={styles.heading}>Dashboard</Text>
        </View>

        <View style={styles.formContainer}>
            <DashboardForm {...this.props}/>
        </View>
      </KeyboardAvoidingView>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#FDFDFE'
  },
  formContainer: {
    flexGrow: 1,
  },
  headingContainer: {
    justifyContent: 'flex-end',
    height: 130
  },
  heading: {
    color: '#464A53',
    fontSize: 42,
    fontFamily: Platform.OS === 'ios' ? 'Helvetica' : 'Roboto',
    fontWeight: '500',
    marginLeft: 25
  },
  subHeading: {
    color: '#CDCFD1',
    fontSize: 18,
    fontFamily: Platform.OS === 'ios' ? 'Helvetica' : 'Roboto',
    fontWeight: '500',
    marginLeft: 28,
    textAlign: 'center'
  }
});
