/**
 * Defines the dashboard screen.
 * @author John Bieber
 * @deprecated Redundant Screen
 */

import React, {
  Component
} from 'react';
import {
  View,
  StyleSheet,
  ScrollView
} from 'react-native';

import Card from '../../components/Card';
import BrowseView from '../browse/BrowseView';

export default class DashboardForm extends Component {
  constructor() {
    super();
  }

  render() { // The profile button isn't necessarily going to remain here. We may move it to the bottom quickbar
    return (
        <View>
          <View style={{padding: 20, flexGrow: 1, display: "flex"}}>
            <ScrollView horizontal={true} showsHorizontalScrollIndicator={false}>
              <Card onPress={()=>{this.props.navigation.navigate('Profile', {'random':Math.random()})}} imageUri={require('../../assets/profile.png')} name="Profile"></Card>
              <Card onPress={()=>{this.props.navigation.navigate('Messaging')}} imageUri={require('../../assets/messages.png')} name="Messages"></Card>
              <Card 
                onPress={() => {
                  this.props.navigation.navigate('BrowseView', {screen: <BrowseView {...this.props} />})}
                } 
                imageUri={require('../../assets/listings.png')} 
                name="Listings">
              </Card>
              <Card onPress={()=>{this.props.navigation.navigate('BookShelf')}} imageUri={require('../../assets/bookshelf.png')} name="Bookshelf"></Card>
              <Card onPress={()=>{this.props.navigation.navigate('CreateListing', {'bookID': undefined})}} imageUri={require('../../assets/createListing.png')} name="Create Listing"></Card>
            </ScrollView>
          </View>
        </View>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    padding: 20
  },
  buttonContainer: {
    backgroundColor: '#4392EF',
    borderRadius: 4,
    height: 50,
    paddingVertical: 12
  },
  buttonText: {
    color: '#FFF',
    fontSize: 18,
    fontWeight: '500',
    textAlign: 'center'
  },
  input: {
    backgroundColor: '#F2F5F7',
    borderRadius: 4,
    fontSize: 14,
    fontWeight: '500',
    height: 50,
    marginBottom: 15,
    paddingHorizontal: 10,
    opacity: 1.0,
  },
  label: {
    color: '#464A53',
    fontWeight: '500',
    marginTop: 15,
    textAlign: 'center'
  }
});
