/**
 * Defines the login screen.
 * @author Stephen Andrews, Ted Bieber
 */

import React, {
  Component
} from 'react';
import {
  Image,
  Platform,
  View,
  Text,
  StatusBar,
  StyleSheet,
} from 'react-native';

import { KeyboardAwareScrollView } from 'react-native-keyboard-aware-scroll-view';

import LoginForm from './LoginForm';

export default class Login extends Component {
  render() {
    return (
      <KeyboardAwareScrollView contentContainerStyle={styles.container} extraScrollHeight={150} enableOnAndroid={true}>
        <StatusBar barStyle="dark-content" /> 
        <View 
          alignItems="center">
          <Image 
            style={{width: 200, height: 200}}
            source={(require('../../assets/app-icon.png'))} />

            <Text style={styles.heading}>Bookstand</Text>
          </View>

        <LoginForm {...this.props}/>        
      </KeyboardAwareScrollView>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    backgroundColor: '#FDFDFE',
    flex: 1,
    justifyContent: 'center'
  },
  heading: {
    color: '#464A53',
    fontSize: 42,
    fontFamily: Platform.OS === 'ios' ? 'Helvetica' : 'Roboto',
    fontWeight: '500',
    textAlign: 'center'
  },
});
